eID middleware |

# eIDMW::PTEID_ExNoCardPresent Class Reference

Exception class No Card Present (error code = EIDMW_ERR_NO_CARD). More...

`#include <eidlibException.h>`

Inheritance diagram for eIDMW::PTEID_ExNoCardPresent:

List of all members.

## Public Member Functions
PTEIDSDK_API | PTEID_ExNoCardPresent ()
| Constructor.
virtual PTEIDSDK_API | ~PTEID_ExNoCardPresent ()
| Destructor.

## Detailed Description

Exception class No Card Present (error code = EIDMW_ERR_NO_CARD).

Throw when no card is present Used in : - PTEID_ReaderContext::getCardType()

- PTEID_ReaderContext::getCard()
- PTEID_ReaderContext::getEIDCard()
- PTEID_ReaderContext::getKidsCard()
- PTEID_ReaderContext::getForeignerCard()
- PTEID_ReaderContext::getSISCard()

## Constructor & Destructor Documentation

PTEIDSDK_API eIDMW::PTEID_ExNoCardPresent::PTEID_ExNoCardPresent | ( |  | ) |

Constructor.

virtual PTEIDSDK_API eIDMW::PTEID_ExNoCardPresent::~PTEID_ExNoCardPresent | ( |  | ) | `[virtual]`

Destructor.

The documentation for this class was generated from the following file:

- eidlibException.h